﻿
--[[


		$title:			Natur Enemy Castbar [Softrix Rewrite]
		$version:		r20118 BETA
		$date:			11th November 2008
		
		$credits:		Natur Enemy Castbar [Softrix Rewrite] is a complete rewrite
						based on the addon by Naturfreund.  Credits also go to 
						Shadowed who is the author of the GTB bar library which I
						have modified for this addon.  The original unmodified GTB 
						library for the purpose of these credits is at:
						
						http://www.wowinterface.com/downloads/info10204-GTB-1.0.html
						
						
		
]]--


NECB_QuakeSND = {
	-- Male
	"Interface\\AddOns\\NECB\\Sounds\\male-dominating.mp3",
	"Interface\\AddOns\\NECB\\Sounds\\male-firstblood.mp3",
	"Interface\\AddOns\\NECB\\Sounds\\male-godlike.mp3",
	"Interface\\AddOns\\NECB\\Sounds\\male-killingspree.mp3",
	"Interface\\AddOns\\NECB\\Sounds\\male-monsterkill.mp3",
	"Interface\\AddOns\\NECB\\Sounds\\male-unstoppable.mp3",
	-- Female
	"Interface\\AddOns\\NECB\\Sounds\\female-dominating.mp3",
	"Interface\\AddOns\\NECB\\Sounds\\female-firstblood.mp3",
	"Interface\\AddOns\\NECB\\Sounds\\female-godlike.mp3",
	"Interface\\AddOns\\NECB\\Sounds\\female-killingspree.mp3",
	"Interface\\AddOns\\NECB\\Sounds\\female-monsterkill.mp3",
	"Interface\\AddOns\\NECB\\Sounds\\female-unstoppable.mp3"
};

NECB_SpellImmuneSND = "Interface\\AddOns\\NECB\\Sounds\\target_immune.mp3";
NECB_SpellResistedSND = "Interface\\AddOns\\NECB\\Sounds\\target_resisted.mp3";

--
--		$title:			NECB_FunPVPSounds()
--		$purpose:		Play a fun quake sound depending on duration
--						of your last kill(s).
--		$args:			guid of mob im attacking
--		$returns:		None
--
function NECB_FunPVPSounds(guid)
	-- male or female?
	if(NECB_GlobalOptions[24] == "Female") then NECB_SndOffset = 6; 
	else NECB_SndOffset = 0; end;
	-- check if its mine, trivial (ie. gives me honor or xp) and is a player
	-- unless we want to play sounds on normal mobs.  Sounds will advance if
	-- i kill a second target within a 60 sec time period.
	if(UnitGUID("target") == guid and not UnitIsTrivial("target") and UnitIsPlayer("target") and NECB_GlobalOptions[23]
	or UnitGUID("target") == guid and not UnitIsTrivial("target") and NECB_GlobalOptions[23] and NECB_GlobalOptions[25]) then
		if (not NECB_killing_timer or (GetTime() - NECB_killing_timer >= 60) ) then
			PlaySoundFile(NECB_QuakeSND[2+NECB_SndOffset]);
			NECB_killing_counter = 0;
		else
			NECB_killing_counter = NECB_killing_counter + 1;
			if (NECB_killing_counter == 1) then
				PlaySoundFile(NECB_QuakeSND[1+NECB_SndOffset]);
			elseif (NECB_killing_counter == 2) then
				PlaySoundFile(NECB_QuakeSND[4+NECB_SndOffset]);
			elseif (NECB_killing_counter == 3) then
				PlaySoundFile(NECB_QuakeSND[6+NECB_SndOffset]);
			elseif (NECB_killing_counter == 4) then
				PlaySoundFile(NECB_QuakeSND[5+NECB_SndOffset]);
			elseif (NECB_killing_counter > 4) then
				PlaySoundFile(NECB_QuakeSND[3+NECB_SndOffset]);
			end;		
		end;
		NECB_killing_timer = GetTime();
	end;
end;

